#
# spec file for package kdevelop4-plugins
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdevelop4-plugins
Version:        1.7.3
Release:        4.24
%define kdevelop_version 4.7.3
Summary:        Additional plugins for KDevelop4 Integrated Development Environment
License:        GPL-2.0+
Group:          Development/Tools/IDE
Url:            http://www.kdevelop.org
Source0:        http://download.kde.org/stable/kdevelop/%{kdevelop_version}/src/kdevelop-php-%{version}.tar.bz2
Source1:        http://download.kde.org/stable/kdevelop/%{kdevelop_version}/src/kdevelop-php-docs-%{version}.tar.bz2
Source2:        missing-translations.tar.xz
Patch0:         add-php-docs.diff
# SLE12 doesn't have kdebase4-workspace[-devel]
%if 0%{?suse_version} != 1315 || 0%{?is_opensuse}
BuildRequires:  kdebase4-workspace-devel
%else
BuildRequires:  libkde4-devel
%endif
BuildRequires:  kdevelop4-devel
BuildRequires:  kdevelop4-pg-qt
BuildRequires:  libkde4-devel
BuildRequires:  libkdevplatform4-devel >= 1.7.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Additional plugins for KDevelop4 Integrated Development Environment

  * PHP Language support, documentation, debugging (xdebug)

%prep
%setup -q -n kdevelop-php-%{version} -a 1
%patch0 -p1
%if 0%{?suse_version} <= 1320 && !0%{?is_opensuse}
# fix build with older cmake versions (i.e. on 13.2 and below) by
# readding "cmake_policy(SET CMP0002 OLD)" to po/CMakeLists.txt
# (was in there before but has been removed in 1.7.3)
sed -i -e "1s/^/cmake_policy(SET CMP0002 OLD)\n/" po/CMakeLists.txt
%endif

# add the translation files that are missing in 1.7.3
tar xJf %{S:2}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %make_install
  %kde_post_install
  cd ..
  %find_lang kdevphp kdevphp.lang
  %find_lang kdevphpdocs kdevphpdocs.lang

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%package php
Summary:        PHP Plugin for Kdevelop4 Integrated Development Environment
Group:          Development/Tools/IDE
Requires:       kdevelop4
%kde4_runtime_requires

%description php
PHP Plugin for Kdevelop4 Integrated Development Environment

This plugin enables support for the following features for developing
web applications in PHP using Kdevelop4.

  * PHP built-in functions, classes, constants, superglobals
  * user-defined functions, classes, constants, superglobals, variables, etc.
  * proper code completion for objects which respects access modifiers (private, public, protected) and differentiates between static/non-static members and methods
  * code completion for overridable and implementable functions inside classes
  * hints in the argument list of function- and method class
  * sane code completion after keywords such as "extends, implements, catch(), new, throw" and some more I think

%package php-doc
Summary:        PHP Documentation for Kdevelop4 Integrated Development Environment
Group:          Development/Tools/IDE
Requires:       kdevelop4-plugins-php = %{version}
%kde4_runtime_requires

%description php-doc
PHP Plugin documentation for Kdevelop4 Integrated Development Environment

%files php -f kdevphp.lang
%defattr(-,root,root)
%{_kde4_modulesdir}/kdevphplanguagesupport.so
%{_kde4_modulesdir}/kdevphpunitprovider.so
%{_libdir}/libkdev4phpcompletion.so
%{_libdir}/libkdev4phpduchain.so
%{_libdir}/libkdev4phpparser.so
%_kde_share_dir/apps/kdevappwizard/templates/simple_phpapp.tar.bz2
%{_kde4_servicesdir}/kdevphpsupport.desktop
%{_kde4_servicesdir}/kdevphpunitprovider.desktop
%_kde4_appsdir/kdevphpsupport/

%files php-doc -f kdevphpdocs.lang
%defattr(-,root,root)
%{_libdir}/kde4/kdevphpdocs.so
%{_libdir}/kde4/kdevphpdocs_config.so
%_kde_share_dir/config.kcfg/phpdocssettings.kcfg
%_kde_share_dir/services/kdevphpdocs.desktop
%_kde_share_dir/services/kdevphpdocs_config.desktop

%changelog
* Wed Aug 24 2016 cgiboudeaux@gmx.com
- BuildRequire libkdevplatform4-devel instead of the Qt5 based one.
* Thu Feb 11 2016 wbauer@tmo.at
- Added missing-translations.tar.xz as source which contains
  missing translation files (taken from 1.7.2)
* Tue Jan 26 2016 wbauer@tmo.at
- Update to 1.7.3
  * No upstream changelog available
  * Bugfix release
- Bump libkdevplatform-devel BuildRequires to 1.7.3
* Tue Dec  1 2015 wbauer@tmo.at
- Update to 1.7.2
  * No upstream changelog available
  * Bugfix release
- Bump libkdevplatform-devel BuildRequires to 1.7.2
* Fri Oct  9 2015 alarrosa@suse.com
- Modified BuildRequires to allow kdevelop4-plugins to build in SLE12
* Wed Feb 11 2015 lbeltrame@kde.org
- Update to 1.7.1
  * No upstream changelog available
  * Bugfix release
- Bump libkdevplatform-devel BuildRequires to 1.7.1
* Wed Aug 27 2014 hrvoje.senjan@gmail.com
- Update to 1.7.0
  * Create better translatable strings for trait use popups.
  * Fix possible crash
  * Last feature release based on kdelibs4 and Qt4
- Bump libkdevplatform-devel BuildRequires to 1.7.0
- Rebase add-php-docs.diff
* Sat Dec  7 2013 cgiboudeaux@gmx.com
- Update to 1.6.0
  - Check the validity of currentAbstractType before accessing it.
* Thu Oct 31 2013 dmitry_r@opensuse.org
- Update to version 1.5.2
  * updated translations
* Sun Oct 27 2013 hrvoje.senjan@gmail.com
- Bump minimal libkdevplatform-devel BuildRequires to 1.4.60 as per
  CMakeLists
* Thu May 30 2013 dmitry_r@opensuse.org
- Update to version 1.5.1
  * No changelog available
* Fri Apr 26 2013 dmitry_r@opensuse.org
- Update to version 1.5.0
  * no changelog
* Mon Dec  3 2012 dmitry_r@opensuse.org
- Update to 1.4.1
  * no changelog
* Sun Nov  4 2012 mailaender@opensuse.org
- Update to 1.4.0
  * Validate imported parent context before accessing it.
* Mon Sep 10 2012 wstephenson@suse.com
- Update to 1.3.90 (1.4RC1)
  * no changelog
* Tue Apr 17 2012 wstephenson@suse.com
- Update to 1.3.1
  * PHP plugin fixes:
  - properly report uses after instanceof operator
  - take range into account when looking for redeclarations
  - properly check context before accessing it
* Thu Mar 15 2012 wstephenson@suse.com
- Update to 1.3.0 in line with kdevplatform
* Tue Oct 18 2011 cgiboudeaux@gmx.com
- Just require kdevelop4-pg-qt.
- Spec cleanup
* Fri Sep 23 2011 idonmez@suse.com
- Remove unneeded dependency on kdesdk4
* Sat Aug 27 2011 andrea.turrini@gmail.com
- fixed typos and replaced unicode quotation marks in
  kdevelop4-plugins.spec
* Wed Jun 29 2011 javier@opensuse.org
- update to 1.2.3 bugfix release
* Sat Jun 25 2011 javier@opensuse.org
- update to 1.2.2, bugfix release
* Mon Jan 24 2011 wstephenson@novell.com
- Update to 1.2.0 release
  * Use rainbow colors for all PHP variables
* Sat Jan 15 2011 wstephenson@novell.com
- Update to 1.1.90 release so it builds with 4.1.90
* Sun Nov 21 2010 tittiatcoke@gmail.com
- Update to a new git snapshot version to enable build with
  KDE 4.6 Beta 1
* Tue Oct 19 2010 wstephenson@novell.com
- update to 1.1.0, require kdevplatform 1.1.0
  - compatible with KDE 4.5.3
* Sun Jul 18 2010 beineri@opensuse.org
- update to 1.0.1 bugfix release
* Sat May  1 2010 tittiatcoke@gmail.com
- update to final 1.0 version of php/php-docs plugins
  * Adapt to renamed internal functions file. (bko#230863)
  * remove some more obsolete func calls in the use builder
  * Assign internal contexts in the PreDeclarationBuilder.
    (bko#232687)
  * update php functions API docs
  * Add API docs for constants defined in commandline.xml
    (bko#231207)
  * Remove executable attribute
  * install phpfuntions.php.gz only with read permissions
* Thu Apr 29 2010 llunak@novell.com
- relax requirements on kdevelop version
* Wed Mar 10 2010 tittiatcoke@gmail.com
- update to svn1100920
  PHP:
  * Beta 4
  * don't try to access the core in the dtor of the language plugin,
    it might be gone already sinc alnguage plugins are never unloaded
    while kdevelop is running
  UPLOAD:
  * Don't show configure button in module selection.
* Fri Feb 12 2010 tittiatcoke@gmail.com
- update to svn1089146
  * added upload plugin
* Sat Jan  9 2010 tittiatcoke@gmail.com
- initial package
